<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionTurnOffHelmetFlashlight Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d7d/class_action_turn_off_helmet_flashlight.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionTurnOffHelmetFlashlight Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionTurnOffHelmetFlashlight:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d7d/class_action_turn_off_helmet_flashlight.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8af0e9f20a621c79d9195dc26d9421fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d7d/class_action_turn_off_helmet_flashlight.html#a8af0e9f20a621c79d9195dc26d9421fc">ActionTurnOffHelmetFlashlight</a> ()</td></tr>
<tr class="separator:a8af0e9f20a621c79d9195dc26d9421fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a98e62116c36603ddeb5aa1e8b0e5f9"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d7d/class_action_turn_off_helmet_flashlight.html#a1a98e62116c36603ddeb5aa1e8b0e5f9">IsInstant</a> ()</td></tr>
<tr class="separator:a1a98e62116c36603ddeb5aa1e8b0e5f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad11a4c2b69755c00de2a7ae491dc8dc8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d7d/class_action_turn_off_helmet_flashlight.html#ad11a4c2b69755c00de2a7ae491dc8dc8">HasTarget</a> ()</td></tr>
<tr class="separator:ad11a4c2b69755c00de2a7ae491dc8dc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a110fc476528f8e62330f45dec98c1e0d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d7d/class_action_turn_off_helmet_flashlight.html#a110fc476528f8e62330f45dec98c1e0d">UseMainItem</a> ()</td></tr>
<tr class="separator:a110fc476528f8e62330f45dec98c1e0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74177ff03e0834839a9cb7df07b8beac"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d7d/class_action_turn_off_helmet_flashlight.html#a74177ff03e0834839a9cb7df07b8beac">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a74177ff03e0834839a9cb7df07b8beac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8305678a249fc39a6bff1c46af526d4"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d7d/class_action_turn_off_helmet_flashlight.html#ac8305678a249fc39a6bff1c46af526d4">GetInputType</a> ()</td></tr>
<tr class="separator:ac8305678a249fc39a6bff1c46af526d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f8561ef75f21fcc36e3b437613ca08f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d7d/class_action_turn_off_helmet_flashlight.html#a0f8561ef75f21fcc36e3b437613ca08f">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a0f8561ef75f21fcc36e3b437613ca08f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79f718c87cdef53b66edc4fe3cb77dd9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d7d/class_action_turn_off_helmet_flashlight.html#a79f718c87cdef53b66edc4fe3cb77dd9">Start</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a79f718c87cdef53b66edc4fe3cb77dd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html">ActionTurnOffHelmetFlashlight.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8af0e9f20a621c79d9195dc26d9421fc" name="a8af0e9f20a621c79d9195dc26d9421fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8af0e9f20a621c79d9195dc26d9421fc">&#9670;&#160;</a></span>ActionTurnOffHelmetFlashlight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTurnOffHelmetFlashlight::ActionTurnOffHelmetFlashlight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html#l00003">3</a> of file <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html">ActionTurnOffHelmetFlashlight.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0f8561ef75f21fcc36e3b437613ca08f" name="a0f8561ef75f21fcc36e3b437613ca08f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f8561ef75f21fcc36e3b437613ca08f">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTurnOffHelmetFlashlight::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html#l00033">33</a> of file <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html">ActionTurnOffHelmetFlashlight.c</a>.</p>

</div>
</div>
<a id="a74177ff03e0834839a9cb7df07b8beac" name="a74177ff03e0834839a9cb7df07b8beac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74177ff03e0834839a9cb7df07b8beac">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTurnOffHelmetFlashlight::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html#l00022">22</a> of file <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html">ActionTurnOffHelmetFlashlight.c</a>.</p>

</div>
</div>
<a id="ac8305678a249fc39a6bff1c46af526d4" name="ac8305678a249fc39a6bff1c46af526d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8305678a249fc39a6bff1c46af526d4">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionTurnOffHelmetFlashlight::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html#l00028">28</a> of file <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html">ActionTurnOffHelmetFlashlight.c</a>.</p>

</div>
</div>
<a id="ad11a4c2b69755c00de2a7ae491dc8dc8" name="ad11a4c2b69755c00de2a7ae491dc8dc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad11a4c2b69755c00de2a7ae491dc8dc8">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTurnOffHelmetFlashlight::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html#l00012">12</a> of file <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html">ActionTurnOffHelmetFlashlight.c</a>.</p>

</div>
</div>
<a id="a1a98e62116c36603ddeb5aa1e8b0e5f9" name="a1a98e62116c36603ddeb5aa1e8b0e5f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a98e62116c36603ddeb5aa1e8b0e5f9">&#9670;&#160;</a></span>IsInstant()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTurnOffHelmetFlashlight::IsInstant </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html#l00007">7</a> of file <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html">ActionTurnOffHelmetFlashlight.c</a>.</p>

</div>
</div>
<a id="a79f718c87cdef53b66edc4fe3cb77dd9" name="a79f718c87cdef53b66edc4fe3cb77dd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79f718c87cdef53b66edc4fe3cb77dd9">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTurnOffHelmetFlashlight::Start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html#l00052">52</a> of file <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html">ActionTurnOffHelmetFlashlight.c</a>.</p>

</div>
</div>
<a id="a110fc476528f8e62330f45dec98c1e0d" name="a110fc476528f8e62330f45dec98c1e0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a110fc476528f8e62330f45dec98c1e0d">&#9670;&#160;</a></span>UseMainItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTurnOffHelmetFlashlight::UseMainItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html#l00017">17</a> of file <a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html">ActionTurnOffHelmetFlashlight.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/<a class="el" href="../../d9/d18/_action_turn_off_helmet_flashlight_8c_source.html">ActionTurnOffHelmetFlashlight.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d7d/class_action_turn_off_helmet_flashlight.html">ActionTurnOffHelmetFlashlight</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
